OyeFilmy Logo
personFreeUpgrade
bolt0cr
U

Image generation API

Microsoft MAI

Microsoft MAI Image 2.5 family — Flash and Standard variants for text-to-image and editing.

Provider: Microsoft4 models

Available models

Model keyDisplay nameCapabilityAtlas Cloud slug
mai_2_5_t2iMAI 2.5 T2Itext-to-imagemicrosoft/mai-image-2.5/text-to-image
mai_2_5_editMAI 2.5 Editeditmicrosoft/mai-image-2.5/edit
mai_2_5_flash_t2iMAI 2.5 Flash T2Itext-to-imagemicrosoft/mai-image-2.5-flash/text-to-image
mai_2_5_flash_editMAI 2.5 Flash Editeditmicrosoft/mai-image-2.5-flash/edit

Endpoint

POST /api/generate

Request body

ParameterTypeRequiredDescription
modelKeystringOne of the model keys listed above
promptstringText description of the image to generate
inputUrlstringInput image URL (for edit/i2i models)
aspectRatiostring"1:1", "16:9", "9:16", etc.
imageQualitystring"Low", "Medium", "High"
styleRefstring | string[]Style reference image URL(s)
charRefstring | string[]Character reference image URL(s)
brandIdstringBrand DNA ID for brand-consistent generation

Code example

curl -X POST https://api.oyefilmy.com/api/generate \
  -H "Authorization: Bearer of_live_YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "modelKey": "mai_2_5_t2i",
    "prompt": "A photorealistic product shot of a luxury watch on black marble with dramatic lighting"
  }'

Response

{
  "success": true,
  "predictionId": "pred_abc123...",
  "status": "processing",
  "model": "microsoft/mai-image-2.5/text-to-image",
  "creditCost": 5
}

MAI 2.5 Flash is optimized for speed (~3s). Standard variant produces higher quality at ~8s.

Related